%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                       %
% Script to generate model of pendulum and local damping function, and  %
% open the simulink model. Local damping functions are defined in       %
% 'localdamp.m' (can represent active or eddy current damping)          %
%                                                                       %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

close all
clear all
global pend

% plain version
if 0
    damper = 2;
    triplep; 
    ssmake3MBf;
    localdamp;
    open pendf.mdl
end

% plain vector version
if 1
    damper = 2;
    triplep; 
    ssmake3MBf;
    localdamp;
    open pendfv.mdl
end