% MOMENT OF INERTIA AND CENTRE OF MASS CALC. FOR UPPER MASS GEO 600
% SEE BOOK (5) 	27th / MAY / 1998

%numbers entered for GRO Glasgow protoype from CAlum's thesis

clear all

den1 	= 7800;

ux	= 0.1;		
uy	= 0.37;
uz	= 0.012;

den2 	= 7800;

vx	= 0.05;
vy	= 0.05;
vz	= 0.09;

d=vz/2+uz/2	% cofm to cofm of x2 separate pieces

m1	= den1*ux*uy*uz;	

I1x	= m1*(uy^2+uz^2)/12;		%moment of inertia (sideways tilt)
I1y	= m1*(uz^2+ux^2)/12;		%moment of inertia (longitudinal tilt)
I1z	= m1*(uy^2+ux^2)/12;		%moment of inertia (rotation)

m2	= den2*vx*vy*vz;		

a2=m1*d/(m1+m2);
a1=d-a2

I2x	= m2*(vy^2+vz^2)/12;		%moment of inertia (sideways tilt)
I2y	= m2*(vz^2+vx^2)/12;		%moment of inertia (longitvdinal tilt)
I2z	= m2*(vy^2+vx^2)/12;		%moment of inertia (rotation)

%****************???????????***********************************
I1=I1x+(m1*a1^2) + I2x+(m2*a2^2) 	% using parallel axis theorem
I2=I1y+(m1*a1^2) + I2y+(m2*a2^2) 	% using parallel axis theorem
I3=I1z+I2z		
%*******************??************************************

m3=m1+m2

e=a1-uz/2


