% Load the parameters (by running one of several other files)

% Parameter file from T080104, which used Chris Cueva's ssmake_doublep.m.
% There is no provision for wire bending in that ssmake file, and so
% accordingly, effective d's have been used in the parameter file.
% When used with ssmake2MB.m it exercises the section of the code
% without wire bending stiffness correction and gives the same results
% as with Chris's ssmake_doublep.m. Because effective d's have been used
% but not effective l's (wire lengths), the overall dimensions are slightly
% too long and the pendulum frequencies are slightly too low.

% doublep_T080104_CC

% Parameter file exported from Mathematica model 20080601OMCasbuiltMC2 
% which was contrived to exercise the wire bending code while giving the
% same results. The effective d's from doublep_T080104_CC have been
% reverted to physical d's (more negative) and the l's (wire lengths)
% have been increased to keep the overall dimensions at the same slightly
% wrong values as above.

% DualLite2_20080601OMCasbuiltMC2_doublep

% Parameter file exported from Mathematica model 20080601OMCasbuilt_doublep
% which uses both physical d's and physical l's.

 DualLite2_20080601OMCasbuilt_doublep